Skip to content
vocapable.Docs

Rename or describe a department

PATCH
/v1/workspace/departments/{department_id}
curl --request PATCH \
--url https://api.vocapable.com/v1/workspace/departments/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expected_revision": 1, "name": "example", "description": "example" }'
department_id
required
Department Id
string
Media typeapplication/json
WorkspaceDepartmentUpdate
object
expected_revision
required
Expected Revision
integer
>= 1
name
Any of:
string
>= 1 characters <= 80 characters
description
Any of:
string
<= 500 characters
Examplegenerated
{
"expected_revision": 1,
"name": "example",
"description": "example"
}

Successful Response

Media typeapplication/json
WorkspaceDepartment
object
id
required
Id
string
name
required
Name
string
description
required
Any of:
string
team_count
required
Team Count
integer
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
team_id
Any of:
string
parent_team_id
Any of:
string
Examplegenerated
{
"id": "example",
"name": "example",
"description": "example",
"team_count": 1,
"revision": 1,
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z",
"team_id": "example",
"parent_team_id": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}